ApiCampaigns
Add a lead
Add a new lead to a campaign.
Add a new lead to a campaign.
Authorization
BearerAuth AuthorizationBearer <token>
API key authentication. Get your key from the dashboard.
In: header
Path Parameters
id*string
Campaign UUID
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/campaigns/497f6eca-6276-4993-bfeb-53cbbbba6f08/leads" \ -H "Content-Type: application/json" \ -d '{ "phone_number": "+31612345678" }'{
"lead": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"campaign_id": "78614b6c-fe7c-41e2-8e25-c9b3a3c91904",
"phone_number": "+31612345678",
"variables": {
"name": "John",
"company": "Acme Corp"
},
"status": "pending",
"call_id": "0d0a16ab-a508-4d58-bf24-5dc3cb248f3e",
"attempts": 0,
"last_attempt_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}
}{
"error": "Invalid API key",
"message": "string"
}{
"error": "Invalid API key",
"message": "string"
}{
"error": "Invalid API key",
"message": "string"
}